Bug 820648 - [as7] code that discovers the domain controller address does not handle the --master-port host controller command line option
[as7] code that discovers the domain controller address does not handle the -...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: as7-plugin 822172
  Show dependency treegraph
 
Reported: 2012-05-10 11:08 EDT by Ian Springer
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 822172 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:02:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-10 11:08:11 EDT
From host.xml:

    <domain-controller>
       <local/>
       <!-- Alternative remote domain controller configuration with a host and port -->
       <!-- <remote host="${jboss.domain.master.address}" port="${jboss.domain.master.port:9999}" security-realm="Manage
mentRealm"/> -->
    </domain-controller>

From usage of domain.sh:

    --master-address=<address>          Set system property 
                                        jboss.domain.master.address to the 
                                        given value. In a default slave Host 
                                        Controller config, this is used to 
                                        configure the address of the master 
                                        Host Controller.

    --master-port=<port>                Set system property 
                                        jboss.domain.master.port to the given 
                                        value. In a default slave Host 
                                        Controller config, this is used to 
                                        configure the port used for native 
                                        management communication by the master 
                                        Host Controller.


In HostConfiguration.getHostPort(), while parsing the domain controller command line, we check for the --master-address option, but not for the --master-port option.
Comment 1 Ian Springer 2012-05-12 21:49:14 EDT
Fixed in master:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=349caa7
Comment 4 Heiko W. Rupp 2013-09-01 06:02:32 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.